---
lang: en
title: 'API docs: rest.routesource'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.routesource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RouteSource](./rest.routesource.md)

## RouteSource class

**Signature:**

```typescript
export declare class RouteSource implements InvocationSource<RouteEntry> 
```
**Implements:** [InvocationSource](./context.invocationsource.md)<!-- -->&lt;[RouteEntry](./rest.routeentry.md)<!-- -->&gt;

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(value)](./rest.routesource._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `RouteSource` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[type](./rest.routesource.type.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[value](./rest.routesource.value.md)


</td><td>

`readonly`


</td><td>

[RouteEntry](./rest.routeentry.md)


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[toString()](./rest.routesource.tostring.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


